/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define([
    'jquery',
    'ko',
    'uiComponent'
], function ($, ko, Component) {
    'use strict';

    return Component.extend({
        /** @inheritdoc */
        initialize: function () {
            this._super();

            const el = document.querySelector('#wtaiGenerateButton');
            if (el) {
                $('#wtaiGenerateButton > *').applyBindings(this);
            }
        },

        /** @inheritdoc */
        initObservable: function () {
            this._super();

            this.isGenerating = ko.computed(function () {
                return true;
            });

            return this;
        },
    });
});
